{{ $navPages := .Site.Sections }}

{{ range $index, $page := $navPages }}
{{ if (gt (len $page.Pages) 0) }}
<section class="Section">
    <details open>
	<summary>
	    Latest {{ partial "link-to-section" . }}:
	</summary>
	{{ partial "list" (first 10 $page.Pages) }}
    </details>
</section>
{{ end }}
{{ end }}
